org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic

## Class ParameterGenericVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor
    - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.RootGenericVisitor
      - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.ParameterGenericVisitor

    public class ParameterGenericVisitor
    extends RootGenericVisitor

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor

`element`

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`ParameterGenericVisitor(ComponentWorkbench workbench, org.apache.felix.ipojo.metadata.Element element, org.objectweb.asm.tree.MethodNode node, int index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitEnd()` End of the visit.

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.RootGenericVisitor

`visit`

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor

`visitAnnotation, visitArray, visitEnum`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterGenericVisitor

    public ParameterGenericVisitor(ComponentWorkbench workbench,
                                   org.apache.felix.ipojo.metadata.Element element,
                                   org.objectweb.asm.tree.MethodNode node,
                                   int index)

### Method Detail

#### visitEnd

    public void visitEnd()

Description copied from class: `RootGenericVisitor`
End of the visit. All attribute were visited, we can update collectors data.

Overrides:
  `visitEnd` in class `RootGenericVisitor`
See Also:
  `org.objectweb.asm.commons.EmptyVisitor#visitEnd()`